FROM ubuntu:18.04

# basic packages
RUN apt-get update \
    && apt-get -y upgrade
RUN apt-get -y install \
    apt-utils \
    software-properties-common \
    manpages-dev \
    vim \
    git \
    build-essential

RUN apt-get -y install \
    python3 \
    python3-pip \
    python3-dev

RUN pip3 install --upgrade pip wheel setuptools conan

# dependencies
RUN apt-get -y install \
    libmysqlcppconn-dev
